Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1496327 - "Begin installation" is active even if none of the disks is selected
Summary: "Begin installation" is active even if none of the disks is selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F27FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-09-27 05:31 UTC by lnie
Modified: 2017-10-18 15:22 UTC (History)
14 users (show)

Fixed In Version: anaconda-27.20.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-18 15:22:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
screenshot (deleted)
2017-09-27 05:31 UTC, lnie
no flags Details
anaconda.log (deleted)
2017-09-27 05:32 UTC, lnie
no flags Details
storage.log (deleted)
2017-09-27 05:39 UTC, lnie
no flags Details
reproducer (deleted)
2017-09-27 05:44 UTC, lnie
no flags Details

Description lnie 2017-09-27 05:31:37 UTC
Created attachment 1331310 [details]
screenshot

Description of problem:

As shown in the attached picture,you are able to click the "Begin Installation"
button to start installation even if none of the disks is selected.
You will see the warning sign in the installation Destination,but the sign
will disappear after you click into installation Destination and clicking "Done" with out selecting any of the disks 

Version-Release number of selected component (if applicable):
Fedora-Server-netinst-x86_64-27_Beta-1.3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
An warning sign,and the "Begin Installation" button is inactive.

Additional info:

Comment 1 lnie 2017-09-27 05:32:37 UTC
Created attachment 1331311 [details]
anaconda.log

Comment 2 lnie 2017-09-27 05:39:18 UTC
Created attachment 1331312 [details]
storage.log

Comment 3 lnie 2017-09-27 05:41:52 UTC
Found this bug when do installation with two disks, reproducible with one disk
installation,attaching the reproducer screencast

Comment 4 lnie 2017-09-27 05:44:58 UTC
Created attachment 1331314 [details]
reproducer

Comment 5 lnie 2017-09-27 08:34:42 UTC
Please feel free to close,if this is the intended behavior,thanks.

Comment 6 Jiri Konecny 2017-09-27 09:09:24 UTC
This is a bug and should be fixed.

Thanks for finding it.

Comment 7 Radek Vykydal 2017-10-11 11:03:59 UTC
https://github.com/rhinstaller/anaconda/pull/1212

Comment 8 Radek Vykydal 2017-10-11 11:05:43 UTC
Reproducible also with 27_Beta-1.5/Workstation/x86_64.

Comment 9 Fedora Update System 2017-10-12 17:20:47 UTC
anaconda-27.20.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe6c2736ca

Comment 10 Fedora Update System 2017-10-13 23:22:54 UTC
anaconda-27.20.4-1.fc27, pykickstart-2.40-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe6c2736ca

Comment 11 Adam Williamson 2017-10-17 17:28:16 UTC
Proposing as a Final freeze exception - this is an undesirable installer behaviour, obviously cannot be fixed with an update.

Comment 12 Dennis Gilmore 2017-10-17 17:39:33 UTC
+1 FE

Comment 13 Mohan Boddu 2017-10-17 17:42:25 UTC
+1 FE

Comment 14 Adam Williamson 2017-10-17 18:20:32 UTC
That's +3 (counting my vote), setting accepted.

Comment 15 Fedora Update System 2017-10-18 15:22:28 UTC
anaconda-27.20.4-1.fc27, pykickstart-2.40-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.